Package wx :: Class FontPickerCtrl

[frames | no frames]

## Type FontPickerCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                    PickerBase --+
                                 |
                                FontPickerCtrl

Proxy of C++ FontPickerCtrl class

Method Summary
FontPickerCtrl | `__init__(self, parent, id, initial, pos, size, style, validator, name)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
unsigned int | `GetMaxPointSize(self)`
Font | `GetSelectedFont(self)`
| ``SetMaxPointSize`(*args, **kwargs)` SetMaxPointSize(self, unsigned int max)
| `SetSelectedFont(self, f)`

Property Summary
| `MaxPointSize`: See `GetMaxPointSize` and `SetMaxPointSize`
| `SelectedFont`: See `GetSelectedFont` and `SetSelectedFont`
| `thisown`: The membership flag

Instance Method Details

### Create(self, parent, id=-1, initial=wxNullFont, pos=DefaultPosition, size=DefaultSize, style=FNTP_DEFAULT_STYLE, validator=DefaultValidator, name=FontPickerCtrlNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

### SetMaxPointSize(*args, **kwargs)

SetMaxPointSize(self, unsigned int max)

Property Details

### MaxPointSize

See `GetMaxPointSize` and `SetMaxPointSize`

  Get Method:
    `GetMaxPointSize`(self)
  Set Method:
    `SetMaxPointSize`(*args, **kwargs)

### SelectedFont

See `GetSelectedFont` and `SetSelectedFont`

  Get Method:
    `GetSelectedFont`(self)
  Set Method:
    `SetSelectedFont`(self, f)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:38 2007 | http://epydoc.sf.net